- include_role:
    name: per_user

- name: clone zsh-histdb repo
  git:
    repo: "https://github.com/larkery/zsh-histdb.git"
    dest: "{{ account_homedir.stdout }}/.config/ansible_deploy/zsh-histdb"
    version: "6c7159be9de8586ac2f19d179d562cf5d10a2bab"
  diff: false

- name: Create zshrc additional imports directory
  file:
    name: "{{ account_homedir.stdout }}/.config/ansible_deploy/zshrc"
    state: directory
    mode: 0700
    owner: "{{ account_name.stdout }}"
    group: "{{ group_name.stdout }}"

- name: Configure zshrc additional imports
  copy:
    src: "files/zshrc_{{ item }}"
    dest: "{{ account_homedir.stdout }}/.config/ansible_deploy/zshrc/{{ item }}.zsh"
    mode: 0600
    owner: "{{ account_name.stdout }}"
    group: "{{ group_name.stdout }}"
  loop: "{{ additional_zshrc_files }}"

- name: Configure zshrc
  copy:
    src: files/zshrc
    dest: "{{ account_homedir.stdout }}/.zshrc"
    mode: 0600
    owner: "{{ account_name.stdout }}"
    group: "{{ group_name.stdout }}"
